zenilib: formatter.Formatter Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
formatter.Formatter Class Reference

Inherited by tohtml.HtmlFormatter.

## Public Member Functions

def | __init__
def | add_identifier
def | block_enter
def | block_exit
def | field_enter
def | field_exit
def | index_dump
def | index_enter
def | index_exit
def | index_name_enter
def | index_name_exit
def | markup_enter
def | markup_exit
def | section_dump
def | section_dump_all
def | section_enter
def | section_exit
def | toc_chapter_enter
def | toc_chapter_exit
def | toc_dump
def | toc_enter
def | toc_exit
def | toc_index
def | toc_section_enter
def | toc_section_exit

## Public Attributes

| block_index
| blocks
| chapters
| identifiers
| processor
| sections

## Detailed Description

Definition at line 17 of file formatter.py.

## Constructor & Destructor Documentation

def formatter.Formatter.__init__ | ( |  | self,
|  |  | processor
| ) |  |

Definition at line 19 of file formatter.py.

## Member Function Documentation

def formatter.Formatter.add_identifier | ( |  | self,
|  |  | name,
|  |  | block
| ) |  |

Definition at line 41 of file formatter.py.

References formatter.Formatter.identifiers.

def formatter.Formatter.block_enter | ( |  | self,
|  |  | block
| ) |  |

Definition at line 136 of file formatter.py.

def formatter.Formatter.block_exit | ( |  | self,
|  |  | block
| ) |  |

Definition at line 151 of file formatter.py.

def formatter.Formatter.field_enter | ( |  | self,
|  |  | field,
|  |  | markup = `None`,
|  |  | block = `None`
| ) |  |

Definition at line 142 of file formatter.py.

def formatter.Formatter.field_exit | ( |  | self,
|  |  | field,
|  |  | markup = `None`,
|  |  | block = `None`
| ) |  |

Definition at line 145 of file formatter.py.

def formatter.Formatter.index_dump | ( |  | self,
|  |  | index_filename = `None`
| ) |  |

Definition at line 114 of file formatter.py.

def formatter.Formatter.index_enter | ( |  | self | ) |

Definition at line 102 of file formatter.py.

def formatter.Formatter.index_exit | ( |  | self | ) |

Definition at line 111 of file formatter.py.

def formatter.Formatter.index_name_enter | ( |  | self,
|  |  | name
| ) |  |

Definition at line 105 of file formatter.py.

def formatter.Formatter.index_name_exit | ( |  | self,
|  |  | name
| ) |  |

Definition at line 108 of file formatter.py.

def formatter.Formatter.markup_enter | ( |  | self,
|  |  | markup,
|  |  | block = `None`
| ) |  |

Definition at line 139 of file formatter.py.

def formatter.Formatter.markup_exit | ( |  | self,
|  |  | markup,
|  |  | block = `None`
| ) |  |

Definition at line 148 of file formatter.py.

def formatter.Formatter.section_dump | ( |  | self,
|  |  | section,
|  |  | section_filename = `None`
| ) |  |

Definition at line 157 of file formatter.py.

Referenced by formatter.Formatter.section_dump_all(), and tohtml.HtmlFormatter.section_dump_all().

def formatter.Formatter.section_dump_all | ( |  | self | ) |

Definition at line 184 of file formatter.py.

References formatter.Formatter.section_dump(), formatter.Formatter.sections, content.DocChapter.sections, and content.ContentProcessor.sections.

def formatter.Formatter.section_enter | ( |  | self,
|  |  | section
| ) |  |

Definition at line 133 of file formatter.py.

def formatter.Formatter.section_exit | ( |  | self,
|  |  | section
| ) |  |

Definition at line 154 of file formatter.py.

def formatter.Formatter.toc_chapter_enter | ( |  | self,
|  |  | chapter
| ) |  |

Definition at line 57 of file formatter.py.

def formatter.Formatter.toc_chapter_exit | ( |  | self,
|  |  | chapter
| ) |  |

Definition at line 66 of file formatter.py.

def formatter.Formatter.toc_dump | ( |  | self,
|  |  | toc_filename = `None`,
|  |  | index_filename = `None`
| ) |  |

Definition at line 75 of file formatter.py.

def formatter.Formatter.toc_enter | ( |  | self | ) |

Definition at line 54 of file formatter.py.

def formatter.Formatter.toc_exit | ( |  | self | ) |

Definition at line 72 of file formatter.py.

def formatter.Formatter.toc_index | ( |  | self,
|  |  | index_filename
| ) |  |

Definition at line 69 of file formatter.py.

def formatter.Formatter.toc_section_enter | ( |  | self,
|  |  | section
| ) |  |

Definition at line 60 of file formatter.py.

def formatter.Formatter.toc_section_exit | ( |  | self,
|  |  | section
| ) |  |

Definition at line 63 of file formatter.py.

## Member Data Documentation

formatter.Formatter.block_index

Definition at line 24 of file formatter.py.

Referenced by tohtml.HtmlFormatter.index_exit().

formatter.Formatter.blocks

Definition at line 27 of file formatter.py.

Referenced by sources.SourceProcessor.dump(), and sources.SourceProcessor.reset().

formatter.Formatter.chapters

Definition at line 22 of file formatter.py.

formatter.Formatter.identifiers

Definition at line 21 of file formatter.py.

Referenced by formatter.Formatter.add_identifier(), tohtml.HtmlFormatter.html_source_quote(), tohtml.HtmlFormatter.index_name_enter(), and tohtml.HtmlFormatter.make_html_word().

formatter.Formatter.processor

Definition at line 20 of file formatter.py.

formatter.Formatter.sections

Definition at line 23 of file formatter.py.

Referenced by formatter.Formatter.section_dump_all(), and tohtml.HtmlFormatter.section_dump_all().

The documentation for this class was generated from the following file:

- zenilib/jni/external/freetype2/src/tools/docmaker/formatter.py